Loading...
Searching...
No Matches
dcxfer.h File Reference

definition and handling of transfer syntaxes More...

## Classes

class | DcmXfer
| a class that allows for a lookup of Transfer Syntax properties and readable descriptions More...

## Enumerations

enum

E_TransferSyntax {
EXS_Unknown = -1 , EXS_LittleEndianImplicit = 0 , EXS_BigEndianImplicit = 1 , EXS_LittleEndianExplicit = 2 ,
EXS_BigEndianExplicit = 3 , EXS_EncapsulatedUncompressedLittleEndianExplicit = 4 , EXS_JPEGProcess1 = 5 , EXS_JPEGProcess2_4 = 6 ,
EXS_JPEGProcess3_5 = 7 , EXS_JPEGProcess6_8 = 8 , EXS_JPEGProcess7_9 = 9 , EXS_JPEGProcess10_12 = 10 ,
EXS_JPEGProcess11_13 = 11 , EXS_JPEGProcess14 = 12 , EXS_JPEGProcess15 = 13 , EXS_JPEGProcess16_18 = 14 ,
EXS_JPEGProcess17_19 = 15 , EXS_JPEGProcess20_22 = 16 , EXS_JPEGProcess21_23 = 17 , EXS_JPEGProcess24_26 = 18 ,
EXS_JPEGProcess25_27 = 19 , EXS_JPEGProcess28 = 20 , EXS_JPEGProcess29 = 21 , EXS_JPEGProcess14SV1 = 22 ,
EXS_RLELossless = 23 , EXS_DeflatedLittleEndianExplicit = 24 , EXS_DeflatedImageFrameCompression = 25 , EXS_JPEGLSLossless = 26 ,
EXS_JPEGLSLossy = 27 , EXS_JPEG2000LosslessOnly = 28 , EXS_JPEG2000 = 29 , EXS_JPEG2000MulticomponentLosslessOnly = 30 ,
EXS_JPEG2000Multicomponent = 31 , EXS_JPIPReferenced = 32 , EXS_JPIPReferencedDeflate = 33 , EXS_MPEG2MainProfileAtMainLevel = 34 ,
EXS_FragmentableMPEG2MainProfileMainLevel = 35 , EXS_MPEG2MainProfileAtHighLevel = 36 , EXS_FragmentableMPEG2MainProfileHighLevel = 37 , EXS_MPEG4HighProfileLevel4_1 = 38 ,
EXS_FragmentableMPEG4HighProfileLevel4_1 = 39 , EXS_MPEG4BDcompatibleHighProfileLevel4_1 = 40 , EXS_FragmentableMPEG4BDcompatibleHighProfileLevel4_1 = 41 , EXS_MPEG4HighProfileLevel4_2_For2DVideo = 42 ,
EXS_FragmentableMPEG4HighProfileLevel4_2_For2DVideo = 43 , EXS_MPEG4HighProfileLevel4_2_For3DVideo = 44 , EXS_FragmentableMPEG4HighProfileLevel4_2_For3DVideo = 45 , EXS_MPEG4StereoHighProfileLevel4_2 = 46 ,
EXS_FragmentableMPEG4StereoHighProfileLevel4_2 = 47 , EXS_HEVCMainProfileLevel5_1 = 48 , EXS_HEVCMain10ProfileLevel5_1 = 49 , EXS_JPEGXLLossless = 50 ,
EXS_JPEGXLJPEGRecompression = 51 , EXS_JPEGXL = 52 , EXS_HighThroughputJPEG2000LosslessOnly = 53 , EXS_HighThroughputJPEG2000withRPCLOptionsLosslessOnly = 54 ,
EXS_HighThroughputJPEG2000 = 55 , EXS_JPIPHTJ2KReferenced = 56 , EXS_JPIPHTJ2KReferencedDeflate = 57 , EXS_PrivateGE_LEI_WithBigEndianPixelData = 58
}

| enumeration of all DICOM transfer syntaxes known to the toolkit More...
enum | E_ByteOrder { EBO_unknown = 0 , EBO_LittleEndian = 1 , EBO_BigEndian = 2 }
| enumeration of byte orders More...
enum | E_VRType { EVT_Implicit = 0 , EVT_Explicit = 1 }
| enumeration of VR encoding options More...
enum | E_PixelDataEncoding { EPE_unknown = 0 , EPE_Native = 1 , EPE_Encapsulated = 2 , EPE_Referenced = 3 }
| enumeration of pixel data encoding options More...
enum | E_PixelDataCompression { EPC_unknown = 0 , EPC_Uncompressed = 1 , EPC_LosslessCompressed = 2 , EPC_LossyCompressed = 3 }
| enumeration of pixel data compression options More...
enum | E_StreamCompression { ESC_none = 0 , ESC_unsupported = 1 , ESC_zlib = 2 }
| enumeration of stream compression techniques More...
enum | E_XferValidity { EXV_unknown = 0 , EXV_Internal = 1 , EXV_Standard = 2 , EXV_Retired = 3 , EXV_Private = 4 }
| validity of the transfer syntax definition More...

## Variables

DCMTK_DCMDATA_EXPORT const E_ByteOrder | gLocalByteOrder
| global constant describing the byte order on the machine the application is currently executing on.

## Detailed Description

definition and handling of transfer syntaxes

## Enumeration Type Documentation

## E_ByteOrder

enum E_ByteOrder

enumeration of byte orders

Enumerator
EBO_unknown | unknown
EBO_LittleEndian | little endian
EBO_BigEndian | big endian

## E_PixelDataCompression

enum E_PixelDataCompression

enumeration of pixel data compression options

Enumerator
EPC_unknown | unknown (e.g. referenced pixel data)
EPC_Uncompressed | pixel data is uncompressed
EPC_LosslessCompressed | pixel data is compressed in a lossless manner
EPC_LossyCompressed | pixel data is compressed in a lossy manner

## E_PixelDataEncoding

enum E_PixelDataEncoding

enumeration of pixel data encoding options

Enumerator
EPE_unknown | unknown (e.g. invalid value)
EPE_Native | pixel data in native format (uncompressed)
EPE_Encapsulated | pixel data encapsulated (e.g. compressed)
EPE_Referenced | pixel data referenced (e.g. using a URL)

## E_StreamCompression

enum E_StreamCompression

enumeration of stream compression techniques

Enumerator
ESC_none | no stream compression

## E_TransferSyntax

enum E_TransferSyntax

enumeration of all DICOM transfer syntaxes known to the toolkit

Enumerator
EXS_Unknown | unknown transfer syntax or dataset created in memory
EXS_LittleEndianImplicit | Implicit VR Little Endian.
EXS_BigEndianImplicit | Implicit VR Big Endian (does not really exist, only used internally).
EXS_LittleEndianExplicit | Explicit VR Little Endian.
EXS_BigEndianExplicit | Explicit VR Big Endian.
EXS_EncapsulatedUncompressedLittleEndianExplicit | Encapsulated Uncompressed Explicit VR Little Endian.
EXS_JPEGProcess1 | JPEG Baseline (lossy).
EXS_JPEGProcess2_4 | JPEG Extended Sequential (lossy, 8/12 bit).
EXS_JPEGProcess3_5 | JPEG Extended Sequential (lossy, 8/12 bit), arithmetic coding.
EXS_JPEGProcess6_8 | JPEG Spectral Selection, Non-Hierarchical (lossy, 8/12 bit).
EXS_JPEGProcess7_9 | JPEG Spectral Selection, Non-Hierarchical (lossy, 8/12 bit), arithmetic coding.
EXS_JPEGProcess10_12 | JPEG Full Progression, Non-Hierarchical (lossy, 8/12 bit).
EXS_JPEGProcess11_13 | JPEG Full Progression, Non-Hierarchical (lossy, 8/12 bit), arithmetic coding.
EXS_JPEGProcess14 | JPEG Lossless with any selection value.
EXS_JPEGProcess15 | JPEG Lossless with any selection value, arithmetic coding.
EXS_JPEGProcess16_18 | JPEG Extended Sequential, Hierarchical (lossy, 8/12 bit).
EXS_JPEGProcess17_19 | JPEG Extended Sequential, Hierarchical (lossy, 8/12 bit), arithmetic coding.
EXS_JPEGProcess20_22 | JPEG Spectral Selection, Hierarchical (lossy, 8/12 bit).
EXS_JPEGProcess21_23 | JPEG Spectral Selection, Hierarchical (lossy, 8/12 bit), arithmetic coding.
EXS_JPEGProcess24_26 | JPEG Full Progression, Hierarchical (lossy, 8/12 bit).
EXS_JPEGProcess25_27 | JPEG Full Progression, Hierarchical (lossy, 8/12 bit), arithmetic coding.
EXS_JPEGProcess28 | JPEG Lossless, Hierarchical.
EXS_JPEGProcess29 | JPEG Lossless, Hierarchical, arithmetic coding.
EXS_JPEGProcess14SV1 | JPEG Lossless, Selection Value 1.
EXS_RLELossless | Run Length Encoding (lossless).
EXS_DeflatedLittleEndianExplicit | Deflated Explicit VR Little Endian.
EXS_DeflatedImageFrameCompression | Deflated Image Frame Compression.
EXS_JPEGLSLossless | JPEG-LS (lossless).
EXS_JPEGLSLossy | JPEG-LS (lossless or near-lossless mode).
EXS_JPEG2000LosslessOnly | JPEG 2000 (lossless).
EXS_JPEG2000 | JPEG 2000 (lossless or lossy).
EXS_JPEG2000MulticomponentLosslessOnly | JPEG 2000 part 2 multi-component extensions (lossless).
EXS_JPEG2000Multicomponent | JPEG 2000 part 2 multi-component extensions (lossless or lossy).
EXS_JPIPReferenced | JPIP Referenced.
EXS_JPIPReferencedDeflate | JPIP Referenced Deflate.
EXS_MPEG2MainProfileAtMainLevel | MPEG2 Main Profile at Main Level.
EXS_FragmentableMPEG2MainProfileMainLevel | Fragmentable MPEG2 Main Profile / Main Level.
EXS_MPEG2MainProfileAtHighLevel | MPEG2 Main Profile at High Level.
EXS_FragmentableMPEG2MainProfileHighLevel | Fragmentable MPEG2 Main Profile / High Level.
EXS_MPEG4HighProfileLevel4_1 | MPEG4 High Profile / Level 4.1.
EXS_FragmentableMPEG4HighProfileLevel4_1 | Fragmentable MPEG4 High Profile / Level 4.1.
EXS_MPEG4BDcompatibleHighProfileLevel4_1 | MPEG4 BD-compatible High Profile / Level 4.1.
EXS_FragmentableMPEG4BDcompatibleHighProfileLevel4_1 | Fragmentable MPEG4 BD-compatible High Profile / Level 4.1.
EXS_MPEG4HighProfileLevel4_2_For2DVideo | MPEG4 High Profile / Level 4.2 For 2D Video.
EXS_FragmentableMPEG4HighProfileLevel4_2_For2DVideo | Fragmentable MPEG4 High Profile / Level 4.2 For 2D Video.
EXS_MPEG4HighProfileLevel4_2_For3DVideo | MPEG4 High Profile / Level 4.2 For 3D Video.
EXS_FragmentableMPEG4HighProfileLevel4_2_For3DVideo | Fragmentable MPEG4 Stereo High Profile / Level 4.2.
EXS_MPEG4StereoHighProfileLevel4_2 | MPEG4 Stereo High Profile / Level 4.2.
EXS_FragmentableMPEG4StereoHighProfileLevel4_2 | Fragmentable HEVC/H.265 Main Profile / Level 5.1.
EXS_HEVCMainProfileLevel5_1 | HEVC/H.265 Main Profile / Level 5.1.
EXS_HEVCMain10ProfileLevel5_1 | HEVC/H.265 Main 10 Profile / Level 5.1.
EXS_JPEGXLLossless | JPEG XL Lossless.
EXS_JPEGXLJPEGRecompression | JPEG XL JPEG Recompression.
EXS_JPEGXL | JPEG XL.
EXS_HighThroughputJPEG2000LosslessOnly | High-Throughput JPEG 2000 Image Compression (Lossless Only).
EXS_HighThroughputJPEG2000withRPCLOptionsLosslessOnly | High-Throughput JPEG 2000 with RPCL Options Image Compression (Lossless Only).
EXS_HighThroughputJPEG2000 | High-Throughput JPEG 2000 Image Compression.
EXS_JPIPHTJ2KReferenced | JPIP HTJ2K Referenced.
EXS_JPIPHTJ2KReferencedDeflate | JPIP HTJ2K Referenced Deflate.
EXS_PrivateGE_LEI_WithBigEndianPixelData | Private GE Little Endian Implicit with big endian pixel data.

## E_VRType

enum E_VRType

enumeration of VR encoding options

Enumerator
EVT_Implicit | implicit VR encoding
EVT_Explicit | explicit VR encoding

## E_XferValidity

enum E_XferValidity

validity of the transfer syntax definition

Enumerator
EXV_unknown | unknown (e.g. invalid value)
EXV_Internal | internal, not used outside DCMTK
EXV_Standard | defined in the DICOM standard
EXV_Retired | retired from the DICOM standard
EXV_Private | private, non-standard definition

## Variable Documentation

## gLocalByteOrder

DCMTK_DCMDATA_EXPORT const E_ByteOrder gLocalByteOrder

extern

global constant describing the byte order on the machine the application is currently executing on.

This is runtime and not compile time information because of "fat" binaries that can be executed on multiple CPU types (e.g. NeXTStep)

Referenced by DcmElement::getPartialValue(), DcmSequenceOfItems::getPartialValue(), and DcmElement::getValue().

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0